image: debian/bookworm
packages:
  - qtbase5-dev
  - qttools5-dev
  - automake
  - autoconf
  - libtool
  - clang
  - libcurl4-openssl-dev
  - wget
  - fuse
  - file
  - xorg-dev # shouldn't install Xorg!
  - libwayland-dev
  - pkg-config
  - libglib2.0-dev
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
tasks:
  - build: |
      # build
      cd minori
      autoreconf -i
      mkdir build
      cd build
      ../configure
      make
      sudo make install

      # resources
      mkdir -p rc
      cp ../rc/Minori.desktop rc/Minori.desktop
      cp ../rc/favicon256.png rc/Minori.png

      # use linuxdeploy to make an appimage
      wget -O linuxdeploy "https://github.com/linuxdeploy/linuxdeploy/releases/download/1-alpha-20231026-1/linuxdeploy-x86_64.AppImage"
      chmod +x linuxdeploy
      LD_LIBRARY_PATH=/usr/local/lib ./linuxdeploy --appdir Minori --executable $(which minori) -d rc/Minori.desktop -i rc/Minori.png --output appimage
artifacts:
  - minori/build/Minori-x86_64.AppImage
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
